Get Executable Quote
curl --request POST \
--url https://api.openxswitch.com/v2/swap/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04",
"slippage": "0.5"
}
'import requests
url = "https://api.openxswitch.com/v2/swap/quote"
payload = {
"walletId": "8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04",
"slippage": "0.5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({walletId: '8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04', slippage: '0.5'})
};
fetch('https://api.openxswitch.com/v2/swap/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "032dd5b7-881d4543c852",
"slippage": 0.5,
"quoteExpiryTimestamp": 1753183232872,
"expireIn": "5m",
"from": {
"chain": "ethereum",
"token": "ETH",
"amount": "1.10",
"minAmount": "1.10"
},
"to": {
"chain": "ethereum",
"token": "USDT",
"amount": "1250.10",
"minAmount": "1245.10"
},
"totalFee": {
"amountUsd": ".80"
},
"bridgeFee": {
"amountUsd": ".80"
}
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Swaps
Get Executable Quote
Generates a firm, executable swap quote. Returns a valid Quote ID that can be submitted to the execute endpoint to complete the trade on-chain.
POST
/
v2
/
swap
/
quote
Get Executable Quote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The unique identifier of the wallet
Example:
"8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04"
Origin payload
Show child attributes
Show child attributes
Destination payload
Show child attributes
Show child attributes
Slippage tolerance. percentage value, e.g. 0.5 means 0.5%.
Default to auto
Example:
"0.5"
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)